### Function

# GdkX11 x11_device_get_id

deprecated: 4.18

#### Declaration [src]

    int
    gdk_x11_device_get_id (
      GdkDevice* device
    )

#### Description [src]

Returns the device ID as seen by XInput2.

Deprecated since: 4.18

Please do not use it in newly written code.

#### Parameters

`device`

  Type: `GdkX11DeviceXI2`

  A `GdkDevice`.

  The data is owned by the caller of the function.

#### Return value

Type: `int`

The XInput2 device ID.